Bug 8631 - Amazon wish-list look-ups
Summary: Amazon wish-list look-ups
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 4 votes (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-13 14:21 UTC by Liz Rea
Modified: 2015-06-04 23:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2012-08-13 14:21:41 UTC
From Manos Petridis on the Koha list:

"Add the facility to look-up Amazon wish-lists and add their contents (conditionally if possible) as purchase suggestions.

It would be useful to be able to paste the URLs of the various lists to a window and have Koha recurse/run through them, provide the aggregated result list for verification, and then add the selected items as purchase suggestions to the library.

I understand that this could be expanded to cover many other on-line shops, it's just that I'm a long-time Amazon customer and keep my wish-lists there."

I might add that it might also be nice to be able to import at least title/author into Koha's lists from a wishlist and make it a "click to search" so patrons can easily tell if a book they have on their wishlist is in the library. If the item was found during wishlist import, it would link directly to the item.
Comment 1 Owen Leonard 2012-08-14 14:40:08 UTC
There is no official API at this time for accessing Amazon wish lists. Apparently it once existed but was seldom used so they killed it. If we were to add this we'd have to use a hack like screen-scraping:

https://github.com/doitlikejustin/amazon-wish-lister

It seems an unlikely project for Koha since Amazon API support is broken in almost all other areas.